<?php

/**
 * NOTE: This file is auto generated by OpenAPI Generator.
 * Do NOT edit it manually. Run `php artisan openapi:generate-server`.
 */

namespace App\Http\ApiV1\OpenApiGenerated\Enums;

class CustomersCustomerStatusEnum
{
    public const STATUS_CREATED = 1;
    public const STATUS_NEW = 2;
    public const STATUS_CONSIDERATION = 3;
    public const STATUS_REJECTED = 4;
    public const STATUS_ACTIVE = 5;
    public const STATUS_PROBLEM = 6;
    public const STATUS_BLOCK = 7;
    public const STATUS_POTENTIAL_RP = 8;
    public const STATUS_TEMPORARILY_SUSPENDED = 9;

    /**
     * @return int[]
     */
    public static function cases(): array
    {
        return [
            self::STATUS_CREATED,
            self::STATUS_NEW,
            self::STATUS_CONSIDERATION,
            self::STATUS_REJECTED,
            self::STATUS_ACTIVE,
            self::STATUS_PROBLEM,
            self::STATUS_BLOCK,
            self::STATUS_POTENTIAL_RP,
            self::STATUS_TEMPORARILY_SUSPENDED,
        ];
    }
}
